Loading...
Searching...
No Matches
light.h File Reference

Light struct and related enums. More...

`#include "graphics/core/color.h"`
`#include "math/vector.h"`
Include dependency graph for light.h:

## Classes

struct | Gfx::Light
| Properties of light in 3D scene. More...

## Namespaces

namespace | Gfx
| Namespace for (new) graphics code.

## Enumerations

enum | Gfx::LightType { LIGHT_POINT , LIGHT_SPOT , LIGHT_DIRECTIONAL }
| Type of light in 3D scene. More...

## Detailed Description

Light struct and related enums.